IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_42_5_deletedetail_before]') AND type = 'P')
DROP PROCEDURE [dbo].[order_42_5_deletedetail_before]
GO

-- 生成时间:2017-11-28 19:19:51 by ebs-core  
CREATE  procedure order_42_5_deletedetail_before(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @ord2tag int,
     @ord2id bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 --- #old  在主体中已经生成
 
 ---- 以下是开发人员写的 before delete details order 事件 --------------
 
 ---- 以上是开发人员写的 before delete details order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @nonedate =  @nonedate  -- here useless 
 
end 
--- 清除临时表 

set nocount off 
end